diff --git a/src/network/bridge_driver.c b/src/network/bridge_driver.c
index 2cdea56..3e93893 100644
--- a/src/network/bridge_driver.c
+++ b/src/network/bridge_driver.c
@@ -3020,7 +3020,8 @@ networkGetDHCPLeases(virNetworkPtr network,
 
     virCheckFlags(0, -1);
 
-    obj = networkObjFromNetwork(network);
+    if (!(obj = networkObjFromNetwork(network)))
+        return rv;
 
     if (virNetworkGetDHCPLeasesEnsureACL(network->conn, obj->def) < 0)
         goto cleanup;
@@ -3044,7 +3045,8 @@ networkGetDHCPLeasesForMAC(virNetworkPtr network,
 
     virCheckFlags(0, -1);
 
-    obj = networkObjFromNetwork(network);
+    if (!(obj = networkObjFromNetwork(network)))
+        return rv;
 
     if (virNetworkGetDHCPLeasesForMACEnsureACL(network->conn, obj->def) < 0)
         goto cleanup;
